      DOUBLE PRECISION YT,DELY(2),
     1                 H,XK,Q,
     3                 YX,X,XJ0,AU,AJK,HD4I,RABC,ALP,ALPN,CMAR,P,S,
     4                 XP,YP,AJKP,U,ZFI 
      PARAMETER (K=11)
      DIMENSION YT(2),
     1          YX(2),XJ0(K),AU(2,K+2),AJK(2,K+1),HD4I(K+1),RABC(K),
     2          ALP(K),ALPN(K),CMAR(K,K),P((K+2)*(K-1)/2),S((K+3)*K/2),
     3          YP(2),AJKP(2,K+1),U(2,K),ZFI(2,K+3)  
      EXTERNAL F
      M=2
      Q=0.5D0
      X=-0.5D0
      YX(1)=COS(Q*(2.D0*X-1.D0))+1.D0
      YX(2)=SIN(Q*(2.D0*X-1.D0))+1.D0
      H=0.5D0
      XK=X+H
      YT(1)=COS(Q*(2.D0*XK-1.D0))+1.D0
      YT(2)=SIN(Q*(2.D0*XK-1.D0))+1.D0
      IMAX=14
      JSTART=0
      INIAPR=1
      CALL DE44D(F,M,K,INIAPR,IMAX,JSTART,YX,X,XJ0,AU,AJK,H,
     1           HD4I,RABC,ALP,ALPN,CMAR,P,S,XP,YP,AJKP,U,ZFI)
       DELY(1)=YT(1)-YX(1)
       DELY(2)=YT(2)-YX(2)
       PRINT 44
      PRINT 51,XP,X
      PRINT 35, H,K,INIAPR,IMAX,JSTART
      PRINT 60,YX,YT,DELY
      PRINT 47
      NX=1
      GO TO 15
C_______________________________________
C
    1 H=1.D0
      XK=X+H
      YT(1)=COS(Q*(2.D0*XK-1.D0))+1.D0
      YT(2)=SIN(Q*(2.D0*XK-1.D0))+1.D0
      IMAX=16
      CALL DE44D(F,M,K,INIAPR,IMAX,JSTART,YX,X,XJ0,AU,AJK,H,
     1           HD4I,RABC,ALP,ALPN,CMAR,P,S,XP,YP,AJKP,U,ZFI)
       DELY(1)=YT(1)-YX(1)
       DELY(2)=YT(2)-YX(2)
       PRINT 47
       PRINT 45
      PRINT 51,XP,X
      PRINT 35, H,K,INIAPR,IMAX,JSTART
      PRINT 60,YX,YT,DELY
      PRINT 47
      NX=2
   15 KP2=K+2
      KP1=K+1
      PRINT 110,NX
      DO 20 L=1,M
      PRINT 47
      PRINT 150,L
      PRINT 85,(J-1,AU(L,J),AJK(L,J),J=1,KP1), KP1,AU(L,KP2)
   20 CONTINUE
      GO TO (1,2),NX
    2 STOP
   44 FORMAT(/1X,'RESULTS AFTER THE FIRST CALL SUBROUTINE DE44D'//)
   45 FORMAT(/1X,'RESULTS AFTER THE SECOND CALL SUBROUTINE DE44D'//)
   47 FORMAT(1X,64(1H-)/)
   48 FORMAT(1X,89(1H-)/)
   50 FORMAT(1X,'NX=',I3,4X,'XS='/(3D25.16))
   51 FORMAT(1X,'XP=',D25.16,5X,'X=',D25.16)
   35 FORMAT(1X,'H=',D25.16,3X,'K=',I2,3X,'INIAPR=',I1,3X,'IMAX=',I2,
     1       3X,'JSTART=',I1)
   60 FORMAT(1X,'YX=',2D25.16/1X,'YT=',2D25.16/1X,'DELTA Y  =',2D25.16)
   85 FORMAT(5X,I2,5X,2D25.16)
  110 FORMAT(/1X,'COEFFICIENTS AU AND AJK ON ',I3,'  SEGMENT  ')
C      
  150 FORMAT('   Number of',7X,'Chebyshev coefficients'
     *       ' for ',I1,' component'/  
     1        14X,51(1H-)/
     2       ' coefficient',11X,'for Y',21X,'for Y'''/         
     3        1X,64(1H-)/)

  161 FORMAT(5X,I2,5X,3D25.16)
      END

      SUBROUTINE F(X,Y,Z,M)
      DOUBLE PRECISION X,Y(2),Z(2),R,Q
      Q=0.5D0
      R =2.D0*X-1.D0
      Z(1)=-2.D0*Q*(Y(2)-1.D0)+(1.D0-DEXP(1.D0-Y(1)+DCOS(Q*R)))/(1.D0+X) 
      Z(2)= 2.D0*Q*(Y(1)-1.D0)+(1.D0-DEXP(1.D0-Y(2)+DSIN(Q*R)))/(1.D0+X) 
      RETURN
      END
